<template>
    <div class="search-panel">
        <el-form ref="form" :model="form" label-width="90px" class="search-form">
            <el-form ref="form" :model="form" label-width="90px" class="search-form">
                <el-form-item label="企业名称：" size="mini" class="search-panel-item">
                    <el-select style="width: 100%" v-model="form.pipelineType" @change="handlePipelineType"
                               :popper-class="'select-down'">
                        <el-option
                                v-for="item in items"
                                :key="item.code"
                                :label="item.name"
                                :value="item.name">
                        </el-option>
                    </el-select>
                </el-form-item>
                <el-form-item label="事件状态：" size="mini">
                    <el-select style="width: 100%" v-model="form.dataType" value-key="code"
                               :popper-class="'select-down'" @change="handleDataType">
                        <el-option
                                v-for="item in subItems"
                                :key="item.code"
                                :label="item.name"
                                :value="item">
                        </el-option>
                    </el-select>
                </el-form-item>
                <el-form-item label="事件类型：">
                    <el-radio-group v-model="form.transferData" class="levelOfRisk">
                        <el-radio v-for="(item,index) in form.levelOfRisk" :label="item.value" :key="index"
                                  @change="redioChange(item.name)">
                            <span class="levelOfRisk-type">{{ item.name }}</span>
                        </el-radio>
                    </el-radio-group>
                </el-form-item>
                <div class="rightButtonSearch">
                    <el-input v-model="form.keyword" size="mini" placeholder="在此输入关键字搜索"></el-input>
                    <el-button class="el-icon-search" @click="handleSearch"></el-button>
                </div>
            </el-form>
        </el-form>
        <el-scrollbar style="height:286.22px">
            <!--            <div class="environmental-risk-list" v-for="(item,index) in list" :key="index" :class="activeNum===index?'hover':''" @click="accordPopup(item)">-->
            <!--                &lt;!&ndash;                <i class="state"></i>&ndash;&gt;-->
            <!--                <img class="state" :src="getImgSrc(item.properties.type)" style="background: none"/>-->
            <!--                <div>-->
            <!--                    <h3 @click="handleLocation(item,index)">事件名称:XXX事件</h3>-->
            <!--                    <h5>-->
            <!--                        事件事件:2021年3月21日-->
            <!--                        <el-button class="rt btn00fff6" size="mini" style="margin-right: 0.04rem;">删除</el-button>-->
            <!--                    </h5>-->
            <!--                    <p>-->
            <!--                        事件状态：<span>审批阶段</span>-->
            <!--                    </p>-->
            <!--                    <p>事件类型：<span>{{ item.properties.pipecode }}</span>-->
            <!--                        <el-button class="rt btn00fff6" size="mini" style="margin-right: 0.04rem;">事件管理-->
            <!--                        </el-button>-->
            <!--                    </p>-->
            <!--                </div>-->
            <!--            </div>-->
            <div class="environmental-risk-list">
                <!--                <i class="state"></i>-->
                <div>
                    <h3>事件名称:XXX事件</h3>
                    <h5>
                        事件事件:2021年3月21日
                        <el-button class="rt btn00fff6" size="mini" style="margin-right: 0.04rem;">删除</el-button>
                    </h5>
                    <p>
                        事件状态：<span>审批阶段</span>
                    </p>
                    <p>事件类型：<span>模拟管线事件</span>
                        <el-button class="rt btn00fff6" size="mini" style="margin-right: 0.04rem;"
                                   @click="accordPopup()">
                            <span>事件管理</span>
                        </el-button>
                    </p>
                </div>
            </div>
        </el-scrollbar>
<!--        <reportPopup></reportPopup>-->
    </div>
</template>

<script>

// import WfsHelper from '@components/helpers/WfsHelper'
// import AjaxUtils from '@utils/AjaxUtils'
import ReportIncident from './ReportIncident'

export default {
  name: 'EventQuery',
  components: {
    // reportPopup
  },
  data () {
    return {
      reportIncident: false,
      list: [],
      activeNum: -1,
      LayerEvent: {},
      LayerResources: {},
      // items: [LayerEvent, LayerResources],
      // subItems: LayerEntEmer.layers,
      items: [],
      subItems: [],
      form: {
        pipelineType: '',
        dataType: '',
        keyword: '',
        transferData: 1,
        levelOfRisk: [
          {
            name: '真实事件',
            value: 1
          },
          {
            name: '模拟演练',
            value: 2
          }
        ]
      },
      WfsHelper: null
    }
  },
  mounted () {
    // this.wfsHelper = new WfsHelper()
  },
  methods: {
    // 点击事件管理
    accordPopup () {
      window.$layer.open({
        content: {
          comp: ReportIncident, // 组件
          parent: this, // 父组件
          data: { // 传递的参数
            // info: this.info
          }
        },
        title: '上报事件'
      })
    },
    // radio数据选择
    redioChange (item) {
      console.log(item)
    },
    // 根据数据返回展示不同的图片
    getImgSrc () {
      const icon = this.form.dataType.icon
      return icon ? 'assets/images/map/' + icon : ''
    },
    // form 2 表单数据选择事件
    handleDataType () {
      this.list = []
    },
    // form 表单数据选择
    handlePipelineType (val) {
      this.list = []
      for (let i = 0; i < this.items.length; i++) {
        const item = this.items[i]
        if (val === item.name) {
          this.subItems = item.layers
          return
        }
      }
    },
    // 数据搜索事件
    async handleSearch () {
      console.log('item')
    },
    // 搜索的数据 de 点击事件
    handleLocation () {
      console.log('val')
    }
  }
}
</script>

<style lang="less" scoped>

</style>
